# --------------------------------------------------------------------------- #
#                                                                             #
#                          Tensorflow Modelzoo                                #
#                                                                             #
# --------------------------------------------------------------------------- #
# MS-COCO model
# --------------------------------------------------------------------------- #
model = 'faster_rcnn_nas_coco_2018_01_28'
label_map = 'mscoco_label_map.pbtxt'
# --------------------------------------------------------------------------- #
# Kitti model
# --------------------------------------------------------------------------- #
#model = 'faster_rcnn_resnet101_kitti_2018_01_28'
#label_map = 'kitti_label_map.pbtxt'
# --------------------------------------------------------------------------- #


# --------------------------------------------------------------------------- #
#                                                                             #
#                                  Paths                                      #
#                                                                             #
# --------------------------------------------------------------------------- #
# Tensorflow modelzoo
# --------------------------------------------------------------------------- #
tf_path = 'data/tensorflow/'
inference_graph_path = tf_path + model + '/frozen_inference_graph.pb'
label_map_path = tf_path + label_map
# --------------------------------------------------------------------------- #
# Foil dataset
# --------------------------------------------------------------------------- #
foil_path = "data/foil/"
foil_train = foil_path + "foilv1.0_train_2017.json"
foil_test = foil_path + "foilv1.0_test_2017.json"
# --------------------------------------------------------------------------- #
# MS-COCO images
# --------------------------------------------------------------------------- #
coco_path = "data/mscoco/"
coco_train = coco_path + "train2017"
coco_test = coco_path + "test2017"
coco_val = coco_path + "val2017"
# --------------------------------------------------------------------------- #